Data Structure Types
Retrieves details for the specified data structure type.
Path parameters
idintegerRequired
Data structure type ID
Responses
200
Data structure type details
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
get/api/data_structure_types/{id}
GET /api/data_structure_types/{id} HTTP/1.1
Accept: */*
{
"data": {
"filters": [
"system_id"
],
"id": 1,
"metadata_fields": [
{
"name": "field_a"
}
],
"metadata_views": [
{
"fields": [],
"name": "view_a"
}
],
"name": "TABLE",
"translation": "Tabla"
}
}Updates the specified data structure type with the provided payload.
Path parameters
idintegerRequired
Data structure type ID
Body
Responses
200
Data structure type updated
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
put/api/data_structure_types/{id}
PUT /api/data_structure_types/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 62
{
"data_structure_type": {
"name": "TABLE",
"translation": "Tabla"
}
}{
"data": {
"filters": [
"system_id"
],
"id": 1,
"metadata_fields": [
{
"name": "field_a"
}
],
"metadata_views": [
{
"fields": [],
"name": "view_a"
}
],
"name": "TABLE",
"translation": "Tabla"
}
}Updates the specified data structure type with the provided payload.
Path parameters
idintegerRequired
Data structure type ID
Body
Responses
200
Data structure type updated
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
patch/api/data_structure_types/{id}
PATCH /api/data_structure_types/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 62
{
"data_structure_type": {
"name": "TABLE",
"translation": "Tabla"
}
}{
"data": {
"filters": [
"system_id"
],
"id": 1,
"metadata_fields": [
{
"name": "field_a"
}
],
"metadata_views": [
{
"fields": [],
"name": "view_a"
}
],
"name": "TABLE",
"translation": "Tabla"
}
}Returns all available data structure types that the current user can read.
Responses
200
Data structure type list
application/json
401
Unauthorized
application/json
500
Internal Server Error
application/json
get/api/data_structure_types
GET /api/data_structure_types HTTP/1.1
Accept: */*
{
"data": [
{
"id": 1,
"name": "TABLE"
}
]
}Last updated